Micron Storage Executive won't install

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
User avatar
LanceM
Level 10
Level 10
Posts: 3105
Joined: Sun Jul 08, 2018 11:50 pm

Micron Storage Executive won't install

Post by LanceM »

Micron Storage Executive installs seamlessly on Mint 19.x but fails on LMDE 4. Does anyone know a way to make it work? I just did a fresh install to my Crucial BX500 (not updated - yet) and include the info here. I've tried it on a fully updated system with kernel 5.4 with the same results.
SE.jpg
SE.jpg (8.05 KiB) Viewed 443 times

Code: Select all

[code]
System:    Host: lmde4 Kernel: 4.19.0-8-amd64 x86_64 bits: 64 compiler: gcc v: 8.3.0 
           Desktop: Cinnamon 4.4.8 wm: muffin dm: LightDM Distro: LMDE 4 Debbie 
           base: Debian 10.2 buster 
Machine:   Type: Desktop Mobo: ASRock model: Z390M-ITX/ac serial: <filter> 
           UEFI: American Megatrends v: P4.30 date: 12/03/2019 
CPU:       Topology: 6-Core model: Intel Core i5-8500 bits: 64 type: MCP arch: Kaby Lake rev: A 
           L2 cache: 9216 KiB 
           flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 36000 
           Speed: 801 MHz min/max: 800/4100 MHz Core speeds (MHz): 1: 800 2: 800 3: 800 4: 800 
           5: 800 6: 800 
Graphics:  Device-1: Intel UHD Graphics 630 vendor: ASRock driver: i915 v: kernel bus ID: 00:02.0 
           chip ID: 8086:3e92 
           Display: x11 server: X.Org 1.20.4 driver: modesetting unloaded: fbdev,vesa 
           resolution: 1920x1080~60Hz 
           OpenGL: renderer: Mesa DRI Intel UHD Graphics 630 (Coffeelake 3x8 GT2) 
           v: 4.5 Mesa 18.3.6 compat-v: 3.0 direct render: Yes 
Audio:     Device-1: Intel Cannon Lake PCH cAVS vendor: ASRock driver: snd_hda_intel v: kernel 
           bus ID: 00:1f.3 chip ID: 8086:a348 
           Sound Server: ALSA v: k4.19.0-8-amd64 
Network:   Device-1: Intel Ethernet I219-V vendor: ASRock driver: e1000e v: 3.2.6-k port: efa0 
           bus ID: 00:1f.6 chip ID: 8086:15bc 
           IF: eno1 state: up speed: 1000 Mbps duplex: full mac: <filter> 
           Device-2: Intel I211 Gigabit Network vendor: ASRock driver: igb v: 5.4.0-k port: 3000 
           bus ID: 02:00.0 chip ID: 8086:1539 
           IF: enp2s0 state: down mac: <filter> 
           Device-3: Intel Dual Band Wireless-AC 3168NGW [Stone Peak] driver: iwlwifi v: kernel 
           port: 3000 bus ID: 03:00.0 chip ID: 8086:24fb 
           IF: wlp3s0 state: down mac: <filter> 
Drives:    Local Storage: total: 1.05 TiB used: 130.85 GiB (12.2%) 
           ID-1: /dev/sda vendor: Crucial model: CT120BX500SSD1 size: 111.79 GiB speed: 6.0 Gb/s 
           serial: <filter> 
           ID-2: /dev/sdb type: USB vendor: Seagate model: ST1000LM035-1RK172 size: 931.51 GiB 
           serial: <filter> 
           ID-3: /dev/sdc type: USB vendor: Corsair model: Voyager GT 3.0 size: 29.50 GiB 
           serial: <filter> 
Partition: ID-1: / size: 101.56 GiB used: 5.41 GiB (5.3%) fs: ext4 dev: /dev/sda3 
           ID-2: swap-1 size: 7.82 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/sda2 
USB:       Hub: 1-0:1 info: Full speed (or root) Hub ports: 16 rev: 2.0 chip ID: 1d6b:0002 
           Device-1: 1-9:2 info: Logitech Illuminated Keyboard type: Keyboard,Mouse 
           driver: hid-generic,usbhid rev: 2.0 chip ID: 046d:c318 
           Device-2: 1-10:3 info: Logitech Unifying Receiver type: Mouse,HID 
           driver: hid-generic,usbhid rev: 2.0 chip ID: 046d:c52f 
           Device-3: 1-14:4 info: Intel type: Bluetooth driver: btusb rev: 2.0 chip ID: 8087:0aa7 
           Hub: 2-0:1 info: Full speed (or root) Hub ports: 10 rev: 3.1 chip ID: 1d6b:0003 
           Device-4: 2-4:2 info: ASMedia Name: ASM1051E SATA 6Gb/s bridge ASM1053E SATA 6Gb/s 
           bridge ASM1153 SATA 3Gb/s bridge ASM1153E SATA 6Gb/s bridge 
           type: Mass Storage driver: usb-storage rev: 3.0 chip ID: 174c:55aa 
           Device-5: 2-6:3 info: Corsair Voyager GT 3.0 type: Mass Storage driver: usb-storage 
           rev: 3.2 chip ID: 1b1c:1a09 
Sensors:   System Temperatures: cpu: 53.0 C mobo: N/A 
           Fan Speeds (RPM): N/A 
Repos:     No active apt repos in: /etc/apt/sources.list 
           Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list 
           1: deb http: //packages.linuxmint.com debbie main upstream import backport #id:linuxmint_main
           2: deb https: //deb.debian.org/debian buster main contrib non-free
           3: deb https: //deb.debian.org/debian buster-updates main contrib non-free
           4: deb http: //security.debian.org buster/updates main contrib non-free
           5: deb https: //deb.debian.org/debian buster-backports main contrib non-free
Info:      Processes: 235 Uptime: 6m Memory: 7.46 GiB used: 951.8 MiB (12.5%) Init: systemd v: 241 
           runlevel: 5 Compilers: gcc: 8.3.0 alt: 8 Client: Unknown python3.7 client inxi: 3.0.32 
[/code]
To mark this issue solved, go to your original 1st post and click the edit pencil and add [Solved] at the beginning of the title and click Submit.
Mint accepts donations: https://linuxmint.com/donors.php
User avatar
Colson P
Level 3
Level 3
Posts: 158
Joined: Mon Mar 23, 2020 5:33 pm

Re: Micron Storage Executive won't install

Post by Colson P »

I looked at the user guide for your software, and it says that your software supports these Operating Systems:

-Windows Server 2008-2019
-Windows 10/8.1/8/7
-Ubuntu
-SUSE
-Red Hat
-CentOS

Debian is not in this list. :(

Micron must have added a software detection program so your software can't run on "non-listed" operating systems. The only way you'll be able to run it is if you trick the program into thinking you're on Ubuntu.
Then again, there might be a reason it doesn't allow Debian to work. Debian might not have the right drivers installed or something and could damage your drive.
Linux in a nutshell: xkcd https://xkcd.com/619/

Always remember to marked your posts as [SOLVED] when your problem has been resolved.
That way, others can use your post to solve their own problems.
User avatar
LanceM
Level 10
Level 10
Posts: 3105
Joined: Sun Jul 08, 2018 11:50 pm

Re: Micron Storage Executive won't install

Post by LanceM »

Yes I saw Debian wasn't in the list. I thought possibly some dependency might be missing. Ubuntu/Mint based on Debian, I'd think it should run. The CMD line version does okay, just not the GUI.
To mark this issue solved, go to your original 1st post and click the edit pencil and add [Solved] at the beginning of the title and click Submit.
Mint accepts donations: https://linuxmint.com/donors.php
antikythera
Level 6
Level 6
Posts: 1422
Joined: Thu Jul 02, 2020 12:52 pm
Contact:

Re: Micron Storage Executive won't install

Post by antikythera »

the GUI uses java, so maybe it is a version dependency issue rather than anything driver related. there are no drivers as such required anyway as evidence by the cli utility which I have also used many times from a thumb drive on numerous different linux distributions. the drives operate via the standard kernel modules.
Don't take life so seriously, nobody gets out alive anyway!
AMSTRAD CPC6128 - 128KB RAM, 3" Hitachi Floppy Diskette Drive, External Sony Cassette Recorder, Locomotive BASIC 1.1, CTM-644 Monitor
User avatar
thx-1138
Level 8
Level 8
Posts: 2112
Joined: Fri Mar 10, 2017 12:15 pm
Location: Athens, Greece

Re: Micron Storage Executive won't install

Post by thx-1138 »

...the .run installer is actually a BitRock installer...nowadays it seems to have been bought by VMware.
There's a nifty script out there written in ancient good ole TCL that can unpack all it's contents.

You would then have to manually examine the extracted project.xml to figure out...
1) first, the path where the files should be copied to...
2) then, the typically extra annoying & long-winded Java parameters for launching the gui...
As antikythera said, the gui is indeed written in java (in contrast with msecli).

And since you have an Ubuntu / Mint installation there, you could also easily cross-check the file paths,
& also the desktop launchers (for the java parameters) with the project.xml...
Debian doesn't appear 'blocked' per se (installer merely doesn't check it's presence...sets only Ubuntu 12.04 & above).

The installer appears to 'play it safe'...and actually seems to bundle the whole of the needed JRE.
Meaning, i don't really think this would be a stop-gap issue 'per se', it is however more than likely,
that you will further have to battle with setting the $PATH for such correctly after manual extraction.

I don't use Debian myself (exactly because i don't have the patience of going through the extra mile now or then,
meaning...that's where my personal curiosity for crappy proprietary .run installers as per above ends),
but if you're dead set on getting the gui working there, that seems to more or less be the rough gist of it...
Post Reply

Return to “Software & Applications”